QGIS Application - Bug report #16428
Processing Ul forms not rendering properly
2017-04-08 03:41 AM - Frank Sokolic

Status: Closed
Priority: High
Assignee: Nyall Dawson
Category: Processing/GUI

Affected QGIS version:master
Operating System: Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 24337

Description

There is a problem with the layout of the form of the processing tools.

All service providers seem to be affected: SAGA, GDAL, etc.

I'm not able to use processing as a result of this.

| removed the .qgis3 directory and restarted QGIS but this hasn't solved the problem.

Related issues:

Duplicated by QGIS Application - Bug report # 18207: Graphical modeler GUl is... Closed 2018-02-25
Duplicated by QGIS Application - Bug report # 18473: graphical modeler panels... Closed 2018-03-17
Duplicated by QGIS Application - Bug report # 17488: Processing Modeler: Defe... Closed 2017-11-17

Associated revisions

Revision 500175b8 - 2017-07-24 10:45 AM - Denis Rouzaud

remove QgsScrollAreaWidgetPlugin from custom widgets

it had to be removed form the widget list in uic plugin. It might be better to provide the real list of implemented widgets rather than the full gui list.

fixes #16428

Revision 87962254 - 2018-05-31 04:45 AM - Nyall Dawson
[processing] Fix bad layout for docks in modeler

Because there's some deep underlying issue which causes the dock
layouts to get corrupted in certain circumstances, avoid the

issue entirely by moving construction of the docks out of

the .ui file and instead do it all manually via Python code.

Fixes #16428, #19068

History

#1 - 2017-04-09 12:32 PM - Tim Sutton

| also get this issue on Mac OS
#2 - 2017-04-10 08:09 AM - matteo ghetta

Same issue on Linux Mint 18.1 with Cinnamon and Mate as desktop environments.

Some further information and clues:

1. problems started after this commit:

#aad182fdc041bd5e83be5b2b399cae496826c008

2. by removing the file "qgis_customwidgets.py" from here:

/usr/lib/python3/dist-packages/PyQt4/uic/widget-plugins/qgis_customwidgets.py

then Processing looks fine but other plugins with custom qgis widget created in Qt Designer are broken and in Qt Designer all the qgis widgets have

disappeared

#3 - 2017-04-28 12:31 AM - Frank Sokolic

I've just upgraded my OS to Ubuntu 17.04 and the problem still occurs. | also uninstalled and then reinstalled QGIS but this didn't solve the problem either.

#4 - 2017-04-30 09:56 AM - Alexander Bruy

- Description updated
- Assignee changed from Victor Olaya to Nyall Dawson

Probably related to Qt version.

#5 - 2017-04-30 05:06 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi
- Easy fix? set to No

#8 - 2017-06-25 03:20 PM - Richard Duivenvoorde

| had this problem too (Debian testing... now stable :-) ),
could not use/show processing untill | used Matteo's 'trick': remove(!)

/usr/lib/python3/dist-packages/PyQt5/uic/widget-plugins/qgis_customwidgets.py

and restart QGISS3, then all seems ok. To me it looks like there is something in the

qgis_customwidgets.py which brings havoc to my gui.

Every time | compile/install Master off course it is placed back.
In the header of the file it mentions PyQt4:
/pythonX/dist-packages/PyQt4/uic/widget-plugins/

is it still used?

#9 - 2017-06-25 03:22 PM - Richard Duivenvoorde

Version info:

QGIS version

2.99.0-Master

QGIS code branch

Release 2.99

Compiled against Qt

571

Running against Qt

5.7.1

Compiled against GDAL/OGR
2.1.2

Running against GDAL/OGR
2.1.2

Compiled against GEOS
3.5.1-CAPI-1.9.1

Running against GEOS
3.5.1-CAPI-1.9.1 r4246
PostgreSQL Client Version
9.6.3

SpatiaLite Version

4.3.0a

QWT Version

6.1.2

PROJ.4 Version

493

QScintilla2 Version

293

This copy of QGIS writes debugging output.

Also see this thread: https:/lists.osgeo.org/pipermail/qgis-developer/2017-June/048905.html

#10 - 2017-06-27 10:44 AM - Denis Rouzaud
This might comes from the fact that QGIS python lib is not installed (not in path), so running qgis_customwidgets.py fails.

Anyone can confirm that installing QGIS in system actually solves the issue?

#11 - 2017-06-30 03:45 PM - Frank Sokolic

Denis, not sure what you mean by "Anyone can confirm that installing QGIS in system actually solves the issue?". Are you referring to the path?

#12 - 2017-07-03 09:06 AM - Denis Rouzaud

2025-04-27 3/5


https://lists.osgeo.org/pipermail/qgis-developer/2017-June/048905.html

It was a misunderstanding on my side.

I think that compiling the ui files using pyuic directly when building would solve the issue.

I'monit.

#13 - 2017-07-06 10:49 AM - Denis Rouzaud

| can't find the issue here.

Tried to use pyuic without success.

Tried to remove QgsScrollArea from custom widgets (which seems to be causing the issue here) without success.

#14 - 2017-07-13 09:34 AM - Etienne Trimaille

| tried to rename the only file “qgis_customwidgets.py’ but it's still not working for me, | can't open Processing in master.

$ find /Users/etienne/dev/ -name *qgis_customwidgets.py

/Users/etienne/dev//c/QGIS/python/custom_widgets/BREAK_qgis_customwidgets.py

#15 - 2017-07-13 09:56 AM - Frank Sokolic

Renaming worked for me:

$ cd /usr/lib/python3/dist-packages/PyQt5/uic/widget-plugins
$ sudo mv qgis_customwidgets.py qgis_customwidgets.p

This is on Ubuntu 17.04.

#16 - 2017-07-24 10:45 AM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|500175b8e8aaff73d0ce8caac6006fd79bff9752.

#17 - 2018-05-02 12:22 PM - Regis Haubourg
- Status changed from Closed to Open

Still true in current master.

Renaming the qgis_customwidgets.py works for me.

#18 - 2018-05-16 02:43 PM - Alexander Bruy
- Duplicated by Bug report #18207: Graphical modeler GUI is broken added
#19 - 2018-05-16 02:50 PM - Alexander Bruy
- Duplicated by Bug report #18473: graphical modeler panels widgets are collapsed added

#20 - 2018-05-16 02:51 PM - Alexander Bruy
- Duplicated by Bug report #17488: Processing Modeler: Defective GUI added

#21 - 2018-05-25 08:50 AM - Mario Baranzini

| have the same problem with QGIS 3.0.3 compiled on Archlinux.

Remeving  /usr/lib/python3.6/site-packages/PyQt5/uic/widget-plugins/qgis_customwidgets.py

Edit: sorry, | was wrong. Removing the file works for me too.

#22 - 2018-05-31 09:48 AM - Nyall Dawson
- Status changed from Open to Closed

Applied in changeset commit:qgis|879622547c5263a8ae873d9ea7251228d16b2889.
